<?php
namespace Claromentis\Quiz\Model;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("i" . "d" => base64_decode("aWQ" . "="), "_706239afda05c192b5e8dd559f4" . "1aba9" => base64_decode("YXR0ZW1wdF92YWx1ZQ=" . "="), "_209ba8353832266d80c22f2" . "5644db621" => base64_decode("cXVpel9" . "hdHRlbX" . "B0X3Byb" . "3BlcnR5"), "_8652ba33e6ffeba02459fa9cbb32085" . "1" => base64_decode("cmVwb3N" . "pdG9yeQ" . "=="), "atte" . "mpt_" . "id" => base64_decode("YXR0ZW1wd" . "F9pZA=="), "_fb99753f3474808f0ecf851b80" . "a7ceef" => base64_decode("YXR0ZW" . "1wdF9r" . "ZXk="));
use Claromentis\Core\Repository\RepositoryItemAbstract;
use JsonSerializable;
use ObjectsStorage;














class AttemptProperty extends RepositoryItemAbstract implements JsonSerializable, PropertyInterface
{
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $_ee97244432473014aa9408ee5cf1f596)
    {
        $_ee97244432473014aa9408ee5cf1f596->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_209ba8353832266d80c22f25644d" . "b621"])->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT)->MapDbColumn($this, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["attem" . "pt_id"], ObjectsStorage::T_INT, 11)->MapDbColumn($this, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fb99753f3474808" . "f0ecf851b80a7cee" . "f"], ObjectsStorage::T_STRING, 100)->MapDbColumn($this, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_706239afda05c192b5e8dd" . "559f41aba9"], ObjectsStorage::T_STRING, 4000)->SetCacheMode($this, \ClaCache::MEMORY);
    }
    
    
    
    
    
    
    
    
    public function jsonSerialize()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"] => (int) $this->id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["attempt_i" . "d"] => (int) $this->attempt_id, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_fb99753f3474808f0ecf851b8" . "0a7ceef"] => $this->attempt_key, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_706239afda05c192b" . "5e8dd559f41aba9"] => $this->attempt_value);
    }
    
    
    
    
    
    
    public function GetParentId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["attempt_i" . "d"]);
    }
    
    
    
    
    
    
    public function SetParentId($attempt_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["attemp" . "t_id"], $attempt_id);
    }
    
    
    
    
    
    
    public function GetKey()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_fb99753f347" . "4808f0ecf851" . "b80a7ceef"]);
    }
    
    
    
    
    
    
    public function SetKey($_cbc91abf342819eec93ad5eca696836a)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_fb99753f347" . "4808f0ecf851" . "b80a7ceef"], $_cbc91abf342819eec93ad5eca696836a);
    }
    
    
    
    
    
    
    public function HasValue()
    {
        return isset($this->attempt_value);
    }
    
    
    
    
    
    
    public function GetValue()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_706239afda05c192b5e" . "8dd559f41aba9"]);
    }
    
    
    
    
    
    
    public function SetValue($_71f6a5b5840d77d6f5700b8129d32c14)
    {
        $this->SetProperty($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_706239afda05c192b5e8dd559f4" . "1aba9"], $_71f6a5b5840d77d6f5700b8129d32c14);
    }
    
    
    
    
    
    
    
    public function __set($_c241f11ec2591cc626823468234ffaf4, $_71f6a5b5840d77d6f5700b8129d32c14)
    {
        
        
        if ($_c241f11ec2591cc626823468234ffaf4 !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8652ba33e6ffeba024" . "59fa9cbb320851"]) {
            $this->SetProperty($_c241f11ec2591cc626823468234ffaf4, $_71f6a5b5840d77d6f5700b8129d32c14);
        }
    }
}